# eric7.WebBrowser.SiteInfo.SiteInfoWidget

Module implementing a widget to show some site information.

### Global Attributes

None

### Classes

SiteInfoWidget | Class implementing a widget to show site related infos.

### Functions

None

## SiteInfoWidget

Class implementing a widget to show site related infos.

### Derived from

QMenu

### Class Attributes

None

### Class Methods

None

### Methods

SiteInfoWidget | Constructor
__registerProtocolHandler | Private slot to register a protocol handler.
__showSiteInfo | Private slot to show the site info dialog.
accept | Public method to accept the widget.
showAt | Public method to show the widget.

### Static Methods

None

#### SiteInfoWidget (Constructor)

SiteInfoWidget(browser, parent=None)

Constructor

browser (WebBrowserView)
  reference to the browser view
parent (QWidget)
  reference to the parent object

#### SiteInfoWidget.__registerProtocolHandler

__registerProtocolHandler()

Private slot to register a protocol handler.

#### SiteInfoWidget.__showSiteInfo

__showSiteInfo()

Private slot to show the site info dialog.

#### SiteInfoWidget.accept

accept()

Public method to accept the widget.

#### SiteInfoWidget.showAt

showAt(pos)

Public method to show the widget.

pos (QPoint)
  position to show at

Up